<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Everything</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Everything</h1>
<hr />
  <h2 class="toc">All Classes</h2>
    <a target="mainFrame" href="Halberd.ScanTask.ConfError-class.html"
     >Halberd.ScanTask.ConfError</a><br />    <a target="mainFrame" href="Halberd.ScanTask.ScanTask-class.html"
     >Halberd.ScanTask.ScanTask</a><br />    <a target="mainFrame" href="Halberd.clientlib.ConnectionRefused-class.html"
     >Halberd.clientlib.ConnectionRefused</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPClient-class.html"
     >Halberd.clientlib.HTTPClient</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPError-class.html"
     >Halberd.clientlib.HTTPError</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPSClient-class.html"
     >Halberd.clientlib.HTTPSClient</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPSError-class.html"
     >Halberd.clientlib.HTTPSError</a><br />    <a target="mainFrame" href="Halberd.clientlib.InvalidURL-class.html"
     >Halberd.clientlib.InvalidURL</a><br />    <a target="mainFrame" href="Halberd.clientlib.TimedOut-class.html"
     >Halberd.clientlib.TimedOut</a><br />    <a target="mainFrame" href="Halberd.clientlib.UnknownReply-class.html"
     >Halberd.clientlib.UnknownReply</a><br />    <a target="mainFrame" href="Halberd.clues.Clue.Clue-class.html"
     >Halberd.clues.Clue.Clue</a><br />    <a target="mainFrame" href="Halberd.clues.file.ClueDir-class.html"
     >Halberd.clues.file.ClueDir</a><br />    <a target="mainFrame" href="Halberd.clues.file.InvalidFile-class.html"
     >Halberd.clues.file.InvalidFile</a><br />    <a target="mainFrame" href="Halberd.conflib.ConfReader-class.html"
     >Halberd.conflib.ConfReader</a><br />    <a target="mainFrame" href="Halberd.conflib.InvalidConfFile-class.html"
     >Halberd.conflib.InvalidConfFile</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd.crew.BaseScanner-class.html"
     >Halberd.crew.BaseScanner</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="Halberd.crew.Manager-class.html"
     >Halberd.crew.Manager</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="Halberd.crew.ScanState-class.html"
     >Halberd.crew.ScanState</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="Halberd.crew.Scanner-class.html"
     >Halberd.crew.Scanner</a><br />  </div>
    <a target="mainFrame" href="Halberd.crew.WorkCrew-class.html"
     >Halberd.crew.WorkCrew</a><br />    <a target="mainFrame" href="Halberd.shell.BaseStrategy-class.html"
     >Halberd.shell.BaseStrategy</a><br />    <a target="mainFrame" href="Halberd.shell.ClueReaderStrategy-class.html"
     >Halberd.shell.ClueReaderStrategy</a><br />    <a target="mainFrame" href="Halberd.shell.MultiScanStrategy-class.html"
     >Halberd.shell.MultiScanStrategy</a><br />    <a target="mainFrame" href="Halberd.shell.ScanError-class.html"
     >Halberd.shell.ScanError</a><br />    <a target="mainFrame" href="Halberd.shell.UniScanStrategy-class.html"
     >Halberd.shell.UniScanStrategy</a><br />  <h2 class="toc">All Functions</h2>
    <a target="mainFrame" href="Halberd.clientlib-module.html#clientFactory"
     >Halberd.clientlib.clientFactory</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd.clues.analysis-module.html#_test"
     >Halberd.clues.analysis._test</a><br />  </div>
    <a target="mainFrame" href="Halberd.clues.analysis-module.html#analyze"
     >Halberd.clues.analysis.analyze</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#classify"
     >Halberd.clues.analysis.classify</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#clusters"
     >Halberd.clues.analysis.clusters</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#deltas"
     >Halberd.clues.analysis.deltas</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#diff_fields"
     >Halberd.clues.analysis.diff_fields</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#filter_proxies"
     >Halberd.clues.analysis.filter_proxies</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#get_digest"
     >Halberd.clues.analysis.get_digest</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#hits"
     >Halberd.clues.analysis.hits</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#ignore_changing_fields"
     >Halberd.clues.analysis.ignore_changing_fields</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#merge"
     >Halberd.clues.analysis.merge</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#reanalyze"
     >Halberd.clues.analysis.reanalyze</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#sections"
     >Halberd.clues.analysis.sections</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#slices"
     >Halberd.clues.analysis.slices</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#sort_clues"
     >Halberd.clues.analysis.sort_clues</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#uniq"
     >Halberd.clues.analysis.uniq</a><br />    <a target="mainFrame" href="Halberd.reportlib-module.html#report"
     >Halberd.reportlib.report</a><br />  <h2 class="toc">All Variables</h2>
    <a target="mainFrame" href="Halberd.ScanTask-module.html#__package__"
     >Halberd.ScanTask.__package__</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_conf_dir"
     >Halberd.ScanTask.default_conf_dir</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_conf_file"
     >Halberd.ScanTask.default_conf_file</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_out"
     >Halberd.ScanTask.default_out</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_parallelism"
     >Halberd.ScanTask.default_parallelism</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_ratio_threshold"
     >Halberd.ScanTask.default_ratio_threshold</a><br />    <a target="mainFrame" href="Halberd.ScanTask-module.html#default_scantime"
     >Halberd.ScanTask.default_scantime</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd-module.html#__package__"
     >Halberd.__package__</a><br />  </div>
    <a target="mainFrame" href="Halberd.clientlib-module.html#__package__"
     >Halberd.clientlib.__package__</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_bufsize"
     >Halberd.clientlib.default_bufsize</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_template"
     >Halberd.clientlib.default_template</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_timeout"
     >Halberd.clientlib.default_timeout</a><br />    <a target="mainFrame" href="Halberd.clues.Clue-module.html#__package__"
     >Halberd.clues.Clue.__package__</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd.clues-module.html#__package__"
     >Halberd.clues.__package__</a><br />  </div>
    <a target="mainFrame" href="Halberd.clues.analysis-module.html#__package__"
     >Halberd.clues.analysis.__package__</a><br />    <a target="mainFrame" href="Halberd.clues.analysis-module.html#logger"
     >Halberd.clues.analysis.logger</a><br />    <a target="mainFrame" href="Halberd.clues.file-module.html#__package__"
     >Halberd.clues.file.__package__</a><br />    <a target="mainFrame" href="Halberd.conflib-module.html#__package__"
     >Halberd.conflib.__package__</a><br />    <a target="mainFrame" href="Halberd.conflib-module.html#default_conf"
     >Halberd.conflib.default_conf</a><br />    <a target="mainFrame" href="Halberd.conflib-module.html#default_proxy_port"
     >Halberd.conflib.default_proxy_port</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd.crew-module.html#__package__"
     >Halberd.crew.__package__</a><br />  </div>
    <a target="mainFrame" href="Halberd.logger-module.html#__package__"
     >Halberd.logger.__package__</a><br />  <div class="private">
    <a target="mainFrame" href="Halberd.logger-module.html#_logfmt"
     >Halberd.logger._logfmt</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="Halberd.logger-module.html#_logger"
     >Halberd.logger._logger</a><br />  </div>
    <a target="mainFrame" href="Halberd.reportlib-module.html#__package__"
     >Halberd.reportlib.__package__</a><br />    <a target="mainFrame" href="Halberd.shell-module.html#__package__"
     >Halberd.shell.__package__</a><br />    <a target="mainFrame" href="Halberd.util-module.html#__package__"
     >Halberd.util.__package__</a><br />    <a target="mainFrame" href="Halberd.util-module.html#table"
     >Halberd.util.table</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
